DocsOmniFi APIsChangelog
SkySparcContact UsLog In
OmniFi APIs

Execute Async

Asynchronous execution of a branch or the entire Test Plan of the specified workspace. If Path is not specified, the entire test plan is executed. Returns the result code 202:Accepted when the execution has started together with the Location header with the url to the result.

Path Params
integer
required

[Int32] The database ID of the workspace to execute. This is obtained as return value of CreateWorkspace (PUT /workspaces), or can be retrieved by inspecting the result of ListWorkspaces (GET /workspaces).

integer
required

[Int32 (nullable)] (Optional) The logical ID of the node to execute. Inner nodes (Groups and test cases) are specified with positive database ID, task leaf nodes are specified with negative database ID. Omit to use Path instead.

Query Params
string

[String] (Optional) The slash-separated path to the node to execute. The path must reference a concrete group or task. Virtual nodes that are created from test case reference are not supported. Omit too execute the entire workspace.

integer

[Int32 (nullable)] (Optional) The ID of the test plan to execute, or null to execute the repository. This is used in conjunction with Path to determine which test plan the path belongs to, and can be omitted or specified to null if executing by NodeId, or in repository.

Response

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Choose an example:
application/json